%define	name	kmerlin
%define	version	1.4.2
%define	release	%mkrel 9
%define	Summary	MSN Messenger for Linux

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://www.sourceforge.net/projects/kmerlin/
Group:		Networking/Instant messaging
Source0:	%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
BuildRequires:	kdelibs-devel
BuildRequires:	autoconf2.5 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary:        %{Summary}

Patch1:		kmerlin-fix-compile-gcc-3.4.patch.bz2

%description
A complete MSN Messenger for KDE and Linux. Very easy to use.
If you have to use MSN Chat and/or Hotmail mostly, you must install
this package.

%prep
%setup -q
%patch1 -p1 -b .fix_compile_gcc_3_4
#%patch3 -p0
#bzcat %{SOURCE3} > po/nb.po
#correct invalid locale names
perl -pi -e "s#zh-#zh_#g" po/Makefile.in
for f in `find  . -type f -name zh-\*`
	do mv $f `echo $f| sed s/-/_/g`
done

%build
#%make -f Makefile.cvs
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-xinerama \
		--enable-final

# make clean clear all file generated by old ui file
make clean

%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

%{__install} -m644 %{SOURCE11} -D ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

#Relativisation of symlink, rpm fails to do it
%{__rm} -f $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common
ln -sf ../common $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common

%find_lang %{name}

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/%{name}
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/icons/locolor/16x16/apps/%{name}.png
%{_datadir}/icons/locolor/32x32/apps/%{name}.png
%{_datadir}/applnk/Internet/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png



%changelog
* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.2-9mdv2009.0
+ Revision: 247786
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.2-7mdv2008.1
+ Revision: 142746
- kdedesktop2mdkmenu.pl is no more
- kill re-definition of %%buildroot on Pixel's request
- import kmerlin

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.2-7mdk
- Rebuild to generate categories

* Sat Jan  7 2006 Anssi Hannula <anssi@mandriva.org> 1.4.2-6mdk
- fix x86_64 build

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.2-5mdk
- Remove redundant Buildrequires

* Fri Oct 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.2-4mdk
- Fix conflict

* Thu Jul 07 2005 Lenny Cartier <lenny@mandriva.com> 1.4.2-3mdk
- 1.4.2

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.2-2mdk
- Rebuild

* Fri Feb 06 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.4.2-1mdk
- 1.4.2
- be sure to use double %%'s in %%changelog
- don't bzip2 icons in src.rpm

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.1-2mdk
- Rebuild

* Tue Dec 23 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.4.1-1mdk
- 1.4.1
- fix buildrequires (lib64..)
- update url
- drop S1 (merged upstream)
- drop P3 (not really needed)

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.9mdk
- rebuild

* Thu Jun 19 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.8mdk
- drop --target and --host to avoid invalid binnames
- rm -rf $RPM_BUILD_ROOT in correct stage
- pass compile flags to configure in stead of make
- use correct dir for qt3 (lib64 issues..)
- --with-xinerama
- macroize

* Thu Mar 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.7mdk
- added some doc's
- smarter way for dealing with invalid binnames
- minor cleanups

* Wed Mar 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.6mdk
- don't rm -rf buildroot in prep stage
- buildrequires

* Mon Mar 10 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.5mdk
- bah! I misunderstood the locale string, fixed

* Mon Mar 10 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.4mdk
- fixed a couple of strings in the nb translation that were'nt supposed to be
  translated
- use more macros

* Sun Mar 09 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.3mdk
- fix incorrect localenames for zh_CN and zh_TW

* Sat Mar 08 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.2mdk
- Added updated nb translation
- configure with libdir to satisfy rpmlint

* Tue Feb 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.1mdk
- Dropped Patch2
- 1.3Beta4(for real..)
- Patch3 for using older automake

* Tue Jan 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta3.0.1mdk
- From Teddy: Patch #2, msn server seems to have changed
- 1.3Beta3
- Cleanups
- Use --enable-final
- Added libfam-devel, libarts-devel, libart_lgpl-devel, libjpeg-devel,
  kdelibs-devel, libpng-devel, autoconf2.5, automake1.6, XFree86-devel
  to BuildRequires
- Dropped Source #1, nb po files, merged in upstream
- Fixed icons
- Dropped Patch0 & Patch1

* Mon Oct 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2-7mdk
- from Per yvind Karlsen <peroyvind@delonic.no> 1.2-7mdk
	- Recompiled for kde-3.1(thanks to Teddy for noticing)

* Fri Sep 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2-6mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- Corrected a typo
	- Added some info to the kmerlin menuitem

* Thu Sep 19 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.2-5mdk
- Added norwegian bokml translation

* Wed Sep 18 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.2-4mdk
- Use %%find_lang macro

* Wed Sep 18 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.2-3mdk
- Use kdedesktop2menu.pl

* Tue Sep 17 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.2-2mdk
- Fixed the menuitem

* Tue Sep 17 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.2-1mdk
- Initial release
